print.ggplot {ggplot2} | R Documentation

## Draw plot on current graphics device.

### Description

Draw plot on current graphics device.

### Usage

    ## S3 method for class 'ggplot'
    print(x, newpage = is.null(vp), vp = NULL, ...)

    ## S3 method for class 'ggplot'
    plot(x, newpage = is.null(vp), vp = NULL, ...)

### Arguments

`x` | plot to display
`newpage` | draw new (empty) page first?
`vp` | viewport to draw plot in
`...` | other arguments not used by this method

### Value

Invisibly returns the result of `ggplot_build`, which is a list with components that contain the plot itself, the data, information about the scales, panels etc.

[Package ggplot2 version 2.1.0 Index]